> ## Documentation Index
> Fetch the complete documentation index at: https://lmm.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 添加渠道

> 👨‍💼 需要管理员权限（Admin）



## OpenAPI

````yaml /docs/openapi/api.json post /api/channel/
openapi: 3.0.1
info:
  title: 后台管理接口
  description: ''
  version: 1.0.0
servers:
  - url: https://api.lmm.best
    description: 生产环境
security:
  - Combination343: []
  - Combination1243: []
tags:
  - name: 系统
  - name: 用户登陆注册
    x-group: 登录与注册
  - name: OAuth
  - name: 用户管理
  - name: 充值
  - name: 两步验证
  - name: 安全验证
  - name: 渠道管理
  - name: 令牌管理
  - name: 兑换码
  - name: 日志
  - name: 数据统计
  - name: 分组
  - name: 任务
  - name: 供应商
  - name: 模型管理
  - name: 系统设置
paths:
  /api/channel/:
    post:
      tags:
        - 渠道管理
      summary: 添加渠道
      description: 👨‍💼 需要管理员权限（Admin）
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                mode:
                  type: string
                  enum:
                    - single
                    - batch
                    - multi_to_single
                channel:
                  $ref: '#/components/schemas/Channel'
      responses:
        '200':
          description: 成功
          headers: {}
      deprecated: false
      security:
        - Combination343: []
        - Combination1243: []
components:
  schemas:
    Channel:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        type:
          type: integer
        status:
          type: integer
        models:
          type: string
        groups:
          type: string
        priority:
          type: integer
        weight:
          type: integer
        base_url:
          type: string
        tag:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.